// Output_7434.h: interface for the COutput_7434 class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "OutputBase.h"

class CAdlinkCommon;

class COutput_7434 : public COutputBase
{
public:
    COutput_7434(const COutputSetting& Setting);
    virtual ~COutput_7434();

    BOOL SetState(bool bState) override;

private:
    std::unique_ptr<CAdlinkCommon> m_pCommon;
};
